<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hsmf.exceptions.ChunkNotFoundException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hsmf.exceptions.ChunkNotFoundException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
               title="class in org.apache.poi.hsmf.exceptions">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/exceptions/class-use/ChunkNotFoundException.html"
               target="_top">Frames</a></li>
        <li><a href="ChunkNotFoundException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hsmf.exceptions.ChunkNotFoundException" class="title">Uses of Class<br>org.apache.poi.hsmf.exceptions.ChunkNotFoundException
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                        title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf">org.apache.poi.hsmf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                   title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a> that throw <a
                                href="../../../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getConversationTopic--">getConversationTopic</a></span>()</code>
                                <div class="block">Gets the conversation topic of the parsed Outlook Message.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayBCC--">getDisplayBCC</a></span>()</code>
                                <div class="block">Gets the display value of the "BCC" line of the outlook message.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayCC--">getDisplayCC</a></span>()</code>
                                <div class="block">Gets the display value of the "CC" line of the outlook message.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayFrom--">getDisplayFrom</a></span>()</code>
                                <div class="block">Gets the display value of the "FROM" line of the outlook message
                                    This is not the actual address that was sent from but the formated display of the
                                    user name.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayTo--">getDisplayTo</a></span>()</code>
                                <div class="block">Gets the display value of the "TO" line of the outlook message.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getHeaders--">getHeaders</a></span>()</code>
                                <div class="block">Returns all the headers, one entry per line</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getHtmlBody--">getHtmlBody</a></span>()</code>
                                <div class="block">Gets the html body of this Outlook Message, if this email
                                    contains a html version.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
                                    title="enum in org.apache.poi.hsmf">MAPIMessage.MESSAGE_CLASS</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getMessageClassEnum--">getMessageClassEnum</a></span>()</code>
                                <div class="block">Gets the message class of the parsed Outlook Message.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Calendar</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getMessageDate--">getMessageDate</a></span>()</code>
                                <div class="block">Gets the date that the message was accepted by the
                                    server on.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientEmailAddress--">getRecipientEmailAddress</a></span>()</code>
                                <div class="block">Returns all the recipients' email address, separated by
                                    semicolons.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientEmailAddressList--">getRecipientEmailAddressList</a></span>()</code>
                                <div class="block">Returns an array of all the recipient's email address, normally
                                    in TO then CC then BCC order.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientNames--">getRecipientNames</a></span>()</code>
                                <div class="block">Returns all the recipients' names, separated by
                                    semicolons.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientNamesList--">getRecipientNamesList</a></span>()</code>
                                <div class="block">Returns an array of all the recipient's names, normally
                                    in TO then CC then BCC order.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getRtfBody--">getRtfBody</a></span>()</code>
                                <div class="block">Gets the RTF Rich Message body of this Outlook Message, if this email
                                    contains a RTF (rich) version.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getStringFromChunk-org.apache.poi.hsmf.datatypes.StringChunk-">getStringFromChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;chunk)</code>
                                <div class="block">Gets a string value based on the passed chunk.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getSubject--">getSubject</a></span>()</code>
                                <div class="block">Gets the subject line of the Outlook Message</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/MAPIMessage.html#getTextBody--">getTextBody</a></span>()</code>
                                <div class="block">Gets the plain text body of this Outlook Message</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
               title="class in org.apache.poi.hsmf.exceptions">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/exceptions/class-use/ChunkNotFoundException.html"
               target="_top">Frames</a></li>
        <li><a href="ChunkNotFoundException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
